Page MenuHomePhabricator

Add QUnit linting rules to Popups, Minerva, and MobileFrontend
Closed, ResolvedPublic

Description

Wikimedia has its own ESLint config specific to QUnit tests. If we're going to keep using QUnit, we should probably use the lint rules which may help us avoid pitfalls.

This task encompasses the work to extend the wikimedia/qunit ESLint config for QUnit tests only, either via a subdirectory configuration or an overrides env rule and fix any violations automatically via --fix where supported and manually otherwise.

Event Timeline

Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptAug 24 2018, 2:58 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdlrobson lowered the priority of this task from Normal to Low.Aug 27 2018, 9:39 PM
Jdlrobson added a subscriber: Jdlrobson.

Given this is a lot of work (and various extensions), low priority for the time being. Hopefully this can organically happen as part of the MobileFrontend refactor in the Minerva+MobileFrontend projects alongside other work. I promise to re-review the priority later down the road.

Change 459776 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/Popups@master] build: Update linters

https://gerrit.wikimedia.org/r/459776

Change 459776 merged by jenkins-bot:
[mediawiki/extensions/Popups@master] build: Update linters

https://gerrit.wikimedia.org/r/459776

Jdlrobson raised the priority of this task from Low to Normal.Mar 8 2019, 8:04 PM
Jdlrobson lowered the priority of this task from Normal to Low.Mar 12 2019, 5:15 PM
Niedzielski closed this task as Resolved.Apr 2 2019, 3:29 PM
Niedzielski assigned this task to Esanders.

This seems to have been completed entirely by @Esanders. I'm marking it resolved. Thanks @Esanders!!